Skip to main content
`Ctrl`+`K`

# TaoTermGetType

Get the type of a `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetType(TaoTerm term, TaoTermType *type)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- type - the `TaoTermType`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermType`, `TaoTermCreate()`, `TaoTermSetType()`, `TaoTermSetFromOptions()`, `TaoTermSetUp()`, `TaoTermView()`, `TaoTermDestroy()`

## Level

beginner

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/term/tutorials/ex1.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages